<template>
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-md-8">
                <h1>{{ profile.name }}</h1>
                <subjects-list :subjects="profile.subjects"></subjects-list>
            </div>
            <div class="col-xs-12 col-md-4">
                <img class="rounded-circle img-thumbnail" :src="profile.photo" alt="Profile image"/>
            </div>
            <div class="col-xs-12 col-md-8">
                <vue-button :title="saveButton.buttonTitle" :action="updateProfile" :btnClass="saveButton.buttonClass"></vue-button>
            </div>
        </div>
    </div>
</template>
<script>
import SubjectsList from './SubjectsList.vue'
import VueButton from './VueButton.vue'

var profile = {name: '', photo: '', email: '', zone: '', subjects: ''}
var saveButton = {buttonTitle: 'Guardar Cambios', buttonClass: 'btn-primary  btn-lg btn-block'}

export default {
    name: 'Profile',
    components: {
        SubjectsList,
        VueButton
    },
    data() {
        return {
            saveButton: saveButton,
            profile: profile
        }
    },
    methods: {
        updateProfile() {
            this.$http.patch('https://profinderdb.firebaseio.com/users/-LLzfGC_FYi7zfxPfRRY.json', {
                name: this.name,
                photo: this.photo,
                email: this.email,
                zone: this.zone,
                subjects: this.subjects
            }).then(response => this.getProfile());
        },
        getProfile() {
            this.$http.get('https://profinderdb.firebaseio.com/users/-LLzfGC_FYi7zfxPfRRY.json').then(response => {
                this.profile.name = response.data.name,
                this.profile.photo = response.data.photo,
                this.profile.email = response.data.email,
                this.profile.zone = response.data.zone,
                this.profile.subjects = response.data.subjects
            });
        }
    },
    created(){
        this.getProfile()
    }
}
</script>